/**
 * Merges two arrays, one of `ColDef` and one of `ColumnState`, and deduplicates them.
 * @remarks ColDef uses `field` and ColumnState uses `colId` to identify columns.
 * @privateRemarks For restoring saved `ColumnState` but also keep custom renderers and other `ColDef` properties.
 * @public
 */
export declare function mergeAndDeduplicateColDefAndState<T extends Record<string, any>>(arr1: T[], arr2: T[], arr1Field?: string, arr2Field?: string): T[];
//# sourceMappingURL=array.d.ts.map